<?php
/*
 * Add function to widgets_init that'll load our widget.
 */
add_action( 'widgets_init', 'deal_widget' );
/* Function that registers our widget. */
function deal_widget() {
	register_widget( 'deals' );
}
class deals extends WP_Widget {
	function deals() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'deals', 'description' => 'Displays delas with image , discount, description text and deals code.'.'marketeer' );
		/* Create the widget. */
		parent::__construct( 'deals-widget','Marketeer - Premium Deals Widget', $widget_ops, '' );
		
		add_action('admin_enqueue_scripts', array($this, 'upload_scripts'));
	}
	function widget( $args, $instance ) {
	
		extract( $args );
		$link = $image = $discount = $code = $description = '';
		$defaults = array( 'description' => 'Deals', 'discount' => '15% discount', 'image' => '', 'code' => 'code', 'link' => '');
		

		$instance = wp_parse_args( (array) $instance, $defaults ); 		
		/* User-selected settings. */
		$image = $instance['image']; 
		$link = $instance['link']; 		
		$discount = $instance['discount']; 
		$description = $instance['description']; 
		$code = $instance['code']; 
		echo $before_widget; ?>
		<div class="widget-deals">	
			<?php if(isset($link)) { ?>
			<a href="<?php echo esc_url($link) ?>">
			<?php } ?>
				<div class="deals-image">
					<div><img src="<?php echo esc_url($image) ?>" ></div>
				</div>
			<?php if(isset($link)) { ?>
			</a>
			<?php } ?>				
			<?php if(isset($link)) { ?>
			<a href="<?php echo esc_url($link) ?>">
			<?php } ?>				
				<div class="deals-discount">
					<div><?php marketeer_security($discount) ?></div>
				</div>
			<?php if(isset($link)) { ?>
			</a>
			<?php } ?>
			<div class="deals-description">
				<div><?php marketeer_security($description) ?></div>
			</div>	
			<div class="deals-code">
				<div><?php marketeer_security($code) ?></div>
			</div>				
		</div>	
		<?php
		echo $after_widget;
	}
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		/* Strip tags (if needed) and update the widget settings. */
		$instance['link'] =  $new_instance['link'] ;
		$instance['discount'] =  $new_instance['discount'] ;
		$instance['description'] = strip_tags( $new_instance['description'] );
		$instance['image'] = strip_tags( $new_instance['image'] );
		$instance['code'] = strip_tags( $new_instance['code'] );
		
		return $instance;
	}
	function form( $instance ) {
		/* Set up some default widget settings. */
		$defaults = array( 'description' => 'Deals', 'discount' => '15% discount', 'image' => '', 'code' => 'code', 'link' => '');
		

		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		

		
        <p>
            <label for="<?php echo $this->get_field_name( 'image' ); ?>">Image:</label>
            <input name="<?php echo $this->get_field_name( 'image' ); ?>" id="<?php echo $this->get_field_id( 'image' ); ?>" class="widefat" type="text" size="36"  value="<?php echo esc_url( $instance['image'] ); ?>" />
            <input class="upload_image_button button button-primary" type="button" value="Upload Image" />
        </p>		

		<p>
			<label for="<?php echo $this->get_field_id( 'link' ); ?>">Link:</label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'link' ); ?>" name="<?php echo $this->get_field_name( 'link' ); ?>" value="<?php echo esc_url($instance['link']); ?>" />
		</p>			
		
		<p>
			<label for="<?php echo $this->get_field_id( 'discount' ); ?>">Discount:</label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'discount' ); ?>" name="<?php echo $this->get_field_name( 'discount' ); ?>" value="<?php echo esc_html($instance['discount']); ?>" />
		</p>		
		<p>
			<label for="<?php echo $this->get_field_id( 'description' ); ?>">Description:</label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'description' ); ?>" name="<?php echo $this->get_field_name( 'description' ); ?>" value="<?php echo esc_attr($instance['description']); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'code' ); ?>">Code:</label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'code' ); ?>" name="<?php echo $this->get_field_name( 'code' ); ?>" value="<?php echo esc_attr($instance['code']); ?>" />
		</p>
		
		<p>
			
		</p>
		<?php
	}
	
    public function upload_scripts()
    {
        wp_enqueue_script('media-upload');
        wp_enqueue_script('thickbox');
        wp_enqueue_script('upload_media_widget', get_template_directory_uri() . '/includes/widgets/js/upload-media.js', array('jquery'));

        wp_enqueue_style('thickbox');
    }	
	
	

}
?>